Subject: bug#29726: 25.1; SIGSEGV in find-file

From: martin rudalics <[email-masked]>
Date: Sat, 16 Dec 2017 10:42:58 +0100

> [I am writing some quite intrusive emacs-lisp that hacks things like
 > display-buffer and creates a pretty sophisticated tabbar.

You shouldn't need the header line for the tabbar.  Have a look at
atomic windows (section 28.20 of the Elisp manual) which allow to do
what you want without usurping the header line, using as many lines for
the tabbar as you need and many more.  To give you an idea I attach a
copy of what I wrote a couple of years ago.

martin